Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.linear
Class SparseRealVector

    java.lang.Object
      org.apache.commons.math3.linear.RealVector
          org.apache.commons.math3.linear.SparseRealVector

Direct Known Subclasses:
  OpenMapRealVector

Deprecated. As of version 3.1, this class is deprecated, for reasons exposed in this JIRA ticket. This class will be removed in version 4.0.

    @Deprecated
    public abstract class SparseRealVector

extends RealVector

Marker class for RealVectors that require sparse backing storage

Since:
  2.0
Version:
  $Id: SparseRealVector.java 1416643 2012-12-03 19:37:14Z tn $

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.math3.linear.RealVector
`RealVector.Entry, RealVector.SparseEntryIterator`

Constructor Summary
`SparseRealVector()` Deprecated.

Method Summary

Methods inherited from class org.apache.commons.math3.linear.RealVector
`add, addToEntry, append, append, checkIndex, checkIndices, checkVectorDimensions, checkVectorDimensions, combine, combineToSelf, copy, cosine, dotProduct, ebeDivide, ebeMultiply, equals, getDimension, getDistance, getEntry, getL1Distance, getL1Norm, getLInfDistance, getLInfNorm, getMaxIndex, getMaxValue, getMinIndex, getMinValue, getNorm, getSubVector, hashCode, isInfinite, isNaN, iterator, map, mapAdd, mapAddToSelf, mapDivide, mapDivideToSelf, mapMultiply, mapMultiplyToSelf, mapSubtract, mapSubtractToSelf, mapToSelf, outerProduct, projection, set, setEntry, setSubVector, sparseIterator, subtract, toArray, unitize, unitVector, unmodifiableRealVector, walkInDefaultOrder, walkInDefaultOrder, walkInDefaultOrder, walkInDefaultOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInOptimizedOrder`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SparseRealVector

    public SparseRealVector()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.